{
    "namespace": "guideBookUI",
    "main": {
        "controls": [
            {
                "guideBookPanel@guideBookUI.guideBookPanel": {}
            }
        ],
        "layer": 1,
        "type": "screen"
    },
    "guideBookPanel": {
        "orientation": "horizontal",
        "type": "stack_panel",
        "controls": [
            {
                "bookToggleGroup@guideBookUI.bookToggleGroup": {}
            },
            {
                "guidePanelWrap@guideBookUI.guidePanelWrap": {}
            },
            {
                "closeBtn@guideBookUI.closeBtn": {}
            }
        ],
        "layer": 1,
        "size": [ "85%", "75%" ]
    },
    "bookToggleGroup": {
        "type": "stack_panel",
        "layer": 1,
        "size": [ 40, "default" ],
        "controls": [
            {
                "@guideBookUI.bookToggleBtn": {
                    "$buttonLabel": "生物\n图鉴",
                    "$toggle_group_forced_index": 0
                }
            },
            {
                "@guideBookUI.bookToggleBtn": {
                    "$buttonLabel": "物品\n图鉴",
                    "$toggle_group_forced_index": 1
                }
            }
        ]
    },
    "bookToggleBtn@common.toggle": {
        "$default_texture": "textures/ui/btn_default",
        "$pressed_texture": "textures/ui/btn_pressed",
        "$default_font_color": [ 0.298, 0.298, 0.298 ],
        "$pressed_font_color": [ 1, 1, 1 ],
        "$unchecked_control": "guideBookUI.toggle_unchecked_state",
        "$checked_control": "guideBookUI.toggle_checked_state",
        "$unchecked_hover_control": "guideBookUI.toggle_unchecked_state",
        "$checked_hover_control": "guideBookUI.toggle_checked_state",
        "$unchecked_locked_control": "guideBookUI.toggle_unchecked_state",
        "$unchecked_locked_hover_control": "guideBookUI.toggle_unchecked_state",
        "$checked_locked_control": "guideBookUI.toggle_unchecked_state",
        "$checked_locked_hover_control": "guideBookUI.toggle_unchecked_state",
        "anchor_from": "top_left",
        "anchor_to": "top_left",
        "size": [ 40, 40 ],
        "$radio_toggle_group": true,
        "$toggle_name": "#guideBookTab",
        "$toggle_group_default_selected": 0
    },
    "guidePanelWrap": {
        "type": "panel",
        "layer": 7,
        "size": [ "100%-68px", "100%" ],
        "controls": [
            {
                "bg": {
                    "type": "image",
                    "texture": "textures/ui/btn_default",
                    "nineslice_size": 2,
                    "size": [ "100%+2px", "100%" ],
                    "layer": 9
                }
            },
            {
                "guideHeaderContentPanelWrap@guideBookUI.guideHeaderContentPanelWrap": {}
            }
        ]
    },
    "guideHeaderContentPanelWrap": {
        "type": "panel",
        "layer": 10,
        "size": [ "100%-26px", "100%-32px" ],
        "controls": [
            {
                "monsterHeaderContentPanel@guideBookUI.monsterHeaderContentPanel": {}
            },
            {
                "itemHeaderContentPanel@guideBookUI.itemHeaderContentPanel": {}
            }
        ]
    },
    "monsterHeaderContentPanel": {
        "type": "panel",
        "layer": 1,
        "controls": [
            {
                "monsterToggleGroup@guideBookUI.monsterToggleGroup": {}
            },
            {
                "monsterGuideContentLeft@guideBookUI.monsterGuideContentLeft": {}
            },
            {
                "monsterGuideContentRight@guideBookUI.monsterGuideContentRight": {}
            }
        ]
    },
    "itemHeaderContentPanel": {
        "type": "panel",
        "layer": 1,
        "controls": [
            {
                "itemTabToggleGroup@guideBookUI.itemTabToggleGroup": {}
            },
            {
                "itemGuideContentLeft@guideBookUI.itemGuideContentLeft": {}
            },
            {
                "itemGuideContentRight@guideBookUI.itemGuideContentRight": {}
            }
        ],
        "visible": false
    },
    "monsterToggleGroup": {
        "anchor_from": "top_middle",
        "anchor_to": "top_middle",
        "type": "stack_panel",
        "orientation": "horizontal",
        "layer": 1,
        "size": [ "100%", 22 ],
        "controls": [
            {
                "toggle0@guideBookUI.typeToggleBtn": {
                    "$buttonLabel": "被动生物",
                    "$toggle_group_forced_index": 0
                }
            },
            {
                "content_padding_1": {
                   "size" : [ 4, "100%" ],
                   "type" : "panel"
                }
            },
            {
                "toggle1@guideBookUI.typeToggleBtn": {
                    "$buttonLabel": "中立生物",
                    "$toggle_group_forced_index": 1
                }
            },
            {
                "content_padding_2": {
                   "size" : [ 4, "100%" ],
                   "type" : "panel"
                }
            },
            {
                "toggle2@guideBookUI.typeToggleBtn": {
                    "$buttonLabel": "攻击生物",
                    "$toggle_group_forced_index": 2
                }
            },
            {
                "content_padding_3": {
                   "size" : [ 4, "100%" ],
                   "type" : "panel"
                }
            },
            {
                "toggle3@guideBookUI.typeToggleBtn": {
                    "$buttonLabel": "可驯服",
                    "$toggle_group_forced_index": 3
                }
            }
        ]
    },
    "typeToggleBtn@common.toggle": {
        "$default_texture": "textures/ui/btn_default",
        "$pressed_texture": "textures/ui/btn_pressed",
        "$locked_texture": "textures/ui/btn_locked",
        "$default_font_color": [ 0.298, 0.298, 0.298 ],
        "$pressed_font_color": [ 1, 1, 1 ],
        "$locked_font_color": [ 0.298, 0.298, 0.298 ],
        "$unchecked_control": "guideBookUI.toggle_unchecked_state",
        "$checked_control": "guideBookUI.toggle_checked_state",
        "$unchecked_hover_control": "guideBookUI.toggle_unchecked_state",
        "$checked_hover_control": "guideBookUI.toggle_checked_state",
        "$unchecked_locked_control": "guideBookUI.toggle_locked_state",
        "$unchecked_locked_hover_control": "guideBookUI.toggle_locked_state",
        "$checked_locked_control": "guideBookUI.toggle_locked_state",
        "$checked_locked_hover_control": "guideBookUI.toggle_locked_state",
        "anchor_from": "top_left",
        "anchor_to": "top_left",
        "size": [ 54, 22 ],
        "$radio_toggle_group": true,
        "$toggle_name": "#typeTab",
        "$toggle_group_default_selected": 0
    },
    "itemTabToggleGroup": {
        "anchor_from": "top_middle",
        "anchor_to": "top_middle",
        "type": "stack_panel",
        "orientation": "horizontal",
        "layer": 1,
        "size": [ "100%", 22 ],
        "controls": [
            {
                "toggle0@guideBookUI.itemTabToggleBtn": {
                    "$buttonLabel": "建筑",
                    "$toggle_group_forced_index": 0
                }
            },
            {
                "content_padding_1": {
                   "size" : [ 4, "100%" ],
                   "type" : "panel"
                }
            },
            {
                "toggle1@guideBookUI.itemTabToggleBtn": {
                    "$buttonLabel": "装备",
                    "$toggle_group_forced_index": 1
                }
            },
            {
                "content_padding_2": {
                   "size" : [ 4, "100%" ],
                   "type" : "panel"
                }
            },
            {
                "toggle2@guideBookUI.itemTabToggleBtn": {
                    "$buttonLabel": "物品",
                    "$toggle_group_forced_index": 2
                }
            },
            {
                "content_padding_2": {
                   "size" : [ 4, "100%" ],
                   "type" : "panel"
                }
            },
            {
                "toggle3@guideBookUI.itemTabToggleBtn": {
                    "$buttonLabel": "自然",
                    "$toggle_group_forced_index": 3,
                    "enabled": false
                }
            }
        ]
    },
    "itemTabToggleBtn@common.toggle": {
        "$default_texture": "textures/ui/btn_default",
        "$pressed_texture": "textures/ui/btn_pressed",
        "$locked_texture": "textures/ui/btn_locked",
        "$default_font_color": [ 0.298, 0.298, 0.298 ],
        "$pressed_font_color": [ 1, 1, 1 ],
        "$locked_font_color": [ 0.298, 0.298, 0.298 ],
        "$unchecked_control": "guideBookUI.toggle_unchecked_state",
        "$checked_control": "guideBookUI.toggle_checked_state",
        "$unchecked_hover_control": "guideBookUI.toggle_unchecked_state",
        "$checked_hover_control": "guideBookUI.toggle_checked_state",
        "$unchecked_locked_control": "guideBookUI.toggle_locked_state",
        "$unchecked_locked_hover_control": "guideBookUI.toggle_locked_state",
        "$checked_locked_control": "guideBookUI.toggle_locked_state",
        "$checked_locked_hover_control": "guideBookUI.toggle_locked_state",
        "anchor_from": "top_left",
        "anchor_to": "top_left",
        "size": [ 54, 22 ],
        "$radio_toggle_group": true,
        "$toggle_name": "#itemTab",
        "$toggle_group_default_selected": 0
    },
    "scroll_background_image": {
        "type": "image",
        "layer": 1,
        "nineslice_size": 1,
        "texture": "textures/ui/white_bg",
        "color": [ 0.3647, 0.3647, 0.3647 ]
    },
    "scroll_background_image2": {
        "type": "panel",
        "layer": 1
    },
    "monsterGuideContentLeft@common.scrolling_panel": {
        "$scroll_background_image_control": "guideBookUI.scroll_background_image",
        "$scroll_box_mouse_image_control": "guideBookUI.scroll_box_image",
        "$scroll_box_touch_image_control": "guideBookUI.scroll_box_image",
        "$scroll_track_image_control": "guideBookUI.scroll_track_image",
        "$scrolling_content": "guideBookUI.monsterToggleGrid",
        "$scroll_view_port_size": [ "100% - 4px", "100% - 4px" ],
        "$scroll_view_port_size_touch": [ "100% - 4px", "100% - 4px" ],
        "$scroll_view_port_offset": [ 2, 2 ],
        "$scroll_view_port_offset_touch": [ 2, 2 ],
        "$show_background": true,
        "layer": 1,
        "propagate_alpha": true,
        "anchor_from": "bottom_left",
        "anchor_to": "bottom_left",
        "size": [ 54, "100%-23px" ],
        "type": "scroll_view",
        "visible": true
    },
    "monsterGuideContentRight": {
        "type": "image",
        "layer": 1,
        "size": [ "100%-54px", "100%-23px" ],
        "nineslice_size": 1,
        "anchor_from": "bottom_right",
        "anchor_to": "bottom_right",
        "texture": "textures/ui/white_bg",
        "color": [ 0.545, 0.545, 0.545 ],
        "controls": [
            {
                "monsterGuideDetailWrap@guideBookUI.monsterGuideDetailWrap": {}
            }
        ]
    },
    "monsterGuideDetailWrap": {
        "type": "panel",
        "size": [ "90%", "90%" ],
        "layer": 1,
        "controls": [
            {
                "monsterGuideDetailPanel@guideBookUI.monsterGuideDetailPanel": {}
            },
            {
                "monsterDescScrollingPanel@guideBookUI.monsterDescScrollingPanel": {}
            }
        ],
        "visible": false
    },
    "monsterGuideDetailPanel": {
        "type": "panel",
        "size": [ "100%", "50%" ],
        "layer": 1,
        "anchor_from": "top_middle",
        "anchor_to": "top_middle",
        "controls": [
            {
                "image": {
                    "type": "image",
                    "layer": 1,
                    "size": [ "34%", "100%"],
                    "anchor_from": "top_left",
                    "anchor_to": "top_left",
                    "texture": "textures/ui/emoji/zhangqifeie"
                }
            },
            {
                "monsterInfoPanel@guideBookUI.monsterInfoPanel": {}
            }
        ]
    },
    "monsterInfoPanel": {
        "type": "stack_panel",
        "layer": 1,
        "size": [ "66%", "100%"],
        "anchor_from": "top_right",
        "anchor_to": "top_right",
        "controls": [
            {
                "monsterNamePanel@guideBookUI.monsterNamePanel": {}
            },
            {
                "healthPanel": {
                    "type": "panel",
                    "layer": 1,
                    "size": [ "100%", "100%c" ],
                    "controls": [
                        {
                            "health": {
                                "anchor_from": "center",
                                "anchor_to": "left_middle",
                                "type": "label",
                                "layer": 1,
                                "size": [ "default", "default" ],
                                "offset": [ -16, 0],
                                "color": [ 1, 1, 1 ],
                                "text": "生命： 20"
                            }
                        }
                    ]
                }
            },
            {
                "attackPanel": {
                    "type": "panel",
                    "layer": 1,
                    "size": [ "100%", "100%c" ],
                    "controls": [
                        {
                            "attack": {
                                "anchor_from": "center",
                                "anchor_to": "left_middle",
                                "type": "label",
                                "layer": 1,
                                "size": [ "default", "default" ],
                                "offset": [ -16, 0],
                                "color": [ 1, 1, 1 ],
                                "text": "攻击： 2"
                            }
                        }
                    ]
                }
            },
            {
                "defensePanel": {
                    "type": "panel",
                    "layer": 1,
                    "size": [ "100%", "100%c" ],
                    "controls": [
                        {
                            "defense": {
                                "anchor_from": "center",
                                "anchor_to": "left_middle",
                                "type": "label",
                                "layer": 1,
                                "size": [ "default", "default" ],
                                "offset": [ -16, 0],
                                "color": [ 1, 1, 1 ],
                                "text": "防御： 0"
                            }
                        }
                    ]
                }
            }
        ]
    },
    "monsterNamePanel": {
        "type": "panel",
        "size": [ "100%", 30 ],
        "layer": 1,
        "controls": [
            {
                "textWrap": {
                    "type": "panel",
                    "layer": 2,
                    "size": [ "100%c+12px", "100%c+8px" ],
                    "anchor_from": "center",
                    "anchor_to": "center",
                    "offset": [ 0, 0 ],
                    "controls": [
                        {
                            "textLabel": {
                                "type": "label",
                                "layer": 1,
                                "color": [ 1, 1, 1 ],
                                "text": "瘴气飞蛾"
                            }
                        }
                    ]
                }
            }
        ]
    },
    "monsterDescScrollingPanel@common.scrolling_panel": {
        "anchor_from": "bottom_middle",
        "anchor_to": "bottom_middle",
        "layer": 1,
        "$scroll_background_image_control": "guideBookUI.scroll_background_image2",
        "$scroll_box_mouse_image_control": "guideBookUI.scroll_box_image",
        "$scroll_box_touch_image_control": "guideBookUI.scroll_box_image",
        "$scroll_track_image_control": "guideBookUI.scroll_track_image",
        "$scroll_view_port_size": [ "100% - 4px", "100% - 4px" ],
        "$scroll_view_port_size_touch": [ "100% - 4px", "100% - 4px" ],
        "$scroll_view_port_offset": [ 2, 2 ],
        "$scroll_view_port_offset_touch": [ 2, 2 ],
        "$scrolling_content": "guideBookUI.monsterGuideDetailDescPanel",
        "$scroll_size": [ "100%-8px", "100%"],
        "size": [ "100%", "50%-4px" ],
        "visible": true
    },
    "monsterGuideDetailDescPanel": {
        "type": "panel",
        "size": [ "100%", "100%c" ],
        "layer": 1,
        "controls": [
            {
                "monsterGuideDetailDesc@guideBookUI.monsterGuideDetailDesc": {}
            }
        ]
    },
    "monsterGuideDetailDesc": {
        "type": "label",
        "size": [ "100%", "default" ],
        "layer": 1,
        "color": [ 1, 1, 1 ],
        "text": "文本描述文本描述文本描述文本描述文本描述文本描述文本描述文本描述文本描述文本描述文本描述文本描述文本描述文本描述文本描述文本描述文本描述文本描述文本描述文本描述文本描述文本描述"
    },
    "monsterToggleGrid": {
        "anchor_from": "top_middle",
        "anchor_to": "top_middle",
        "bindings": [
            {
                "binding_condition": "always",
                "binding_name": "#monsterToggleGrid.item_count",
                "binding_name_override": "#StackGridItemsCount"
            }
        ],
        "collection_name": "monsterToggles",
        "controls": [
            {
                "monsterToggleBtn@guideBookUI.monsterToggleBtn" : {}
            }
        ],
        "item_count": 10,
        "layer": 0,
        "orientation": "vertical",
        "property_bag": {
            "#monsterToggleGrid.item_count": 10
        },
        "size": [ "100%", "default" ],
        "type": "stack_grid",
        "visible": true
    },
    "itemGuideContentLeft@common.scrolling_panel": {
        "$scroll_background_image_control": "guideBookUI.scroll_background_image",
        "$scroll_box_mouse_image_control": "guideBookUI.scroll_box_image",
        "$scroll_box_touch_image_control": "guideBookUI.scroll_box_image",
        "$scroll_track_image_control": "guideBookUI.scroll_track_image",
        "$scrolling_content": "guideBookUI.itemToggleGrid",
        "$scroll_view_port_size": [ "100% - 4px", "100% - 4px" ],
        "$scroll_view_port_size_touch": [ "100% - 4px", "100% - 4px" ],
        "$scroll_view_port_offset": [ 2, 2 ],
        "$scroll_view_port_offset_touch": [ 2, 2 ],
        "$show_background": true,
        "layer": 1,
        "propagate_alpha": true,
        "anchor_from": "bottom_left",
        "anchor_to": "bottom_left",
        "size": [ 54, "100%-23px" ],
        "type": "scroll_view",
        "visible": true
    },
    "itemGuideContentRight": {
        "type": "image",
        "layer": 1,
        "size": [ "100%-54px", "100%-23px" ],
        "nineslice_size": 1,
        "anchor_from": "bottom_right",
        "anchor_to": "bottom_right",
        "texture": "textures/ui/white_bg",
        "color": [ 0.545, 0.545, 0.545 ],
        "controls": [
            {
                "itemGuideDetailWrap@guideBookUI.itemGuideDetailWrap": {}
            }
        ]
    },
    "itemGuideDetailWrap": {
        "type": "panel",
        "size": [ "90%", "90%" ],
        "layer": 1,
        "controls": [
            {
                "itemGuideDetailLeft@guideBookUI.itemGuideDetailLeft": {}
            },
            {
                "itemDescScrollingPanel@guideBookUI.itemDescScrollingPanel": {}
            }
        ],
        "visible": false
    },
    "itemGuideDetailLeft": {
        "type": "panel",
        "size": [ "40%", "100%" ],
        "layer": 1,
        "anchor_from": "left_middle",
        "anchor_to": "left_middle",
        "controls": [
            {
                "image": {
                    "type": "image",
                    "layer": 1,
                    "size": [ "100%", "100%-40px"],
                    "offset": [ 0, -20 ],
                    "anchor_from": "center",
                    "anchor_to": "center",
                    "texture": ""
                }
            },
            {
                "textWrap": {
                    "type": "panel",
                    "layer": 1,
                    "size": [ "100%c+12px", "100%c+8px" ],
                    "anchor_from": "bottom_middle",
                    "anchor_to": "center",
                    "offset": [ 0, -20 ],
                    "controls": [
                        {
                            "textLabel": {
                                "type": "label",
                                "layer": 1,
                                "color": [ 1, 1, 1 ],
                                "text": "破损的招魂幡"
                            }
                        }
                    ]
                }
            }
        ]
    },
    "itemDescScrollingPanel@common.scrolling_panel": {
        "anchor_from": "right_middle",
        "anchor_to": "right_middle",
        "layer": 1,
        "$scroll_background_image_control": "guideBookUI.scroll_background_image2",
        "$scroll_box_mouse_image_control": "guideBookUI.scroll_box_image",
        "$scroll_box_touch_image_control": "guideBookUI.scroll_box_image",
        "$scroll_track_image_control": "guideBookUI.scroll_track_image",
        "$scroll_view_port_size": [ "100% - 4px", "100% - 4px" ],
        "$scroll_view_port_size_touch": [ "100% - 4px", "100% - 4px" ],
        "$scroll_view_port_offset": [ 2, 2 ],
        "$scroll_view_port_offset_touch": [ 2, 2 ],
        "$scrolling_content": "guideBookUI.itemGuideDetailDescPanel",
        "$scroll_size": [ "100%-8px", "100%"],
        "size": [ "60%-8px", "100%" ],
        "visible": true
    },
    "itemGuideDetailDescPanel": {
        "type": "panel",
        "size": [ "100%", "100%c" ],
        "layer": 1,
        "controls": [
            {
                "itemGuideDetailDesc@guideBookUI.itemGuideDetailDesc": {}
            }
        ]
    },
    "itemGuideDetailDesc": {
        "type": "label",
        "size": [ "100%", "default" ],
        "layer": 1,
        "anchor_from": "right_middle",
        "anchor_to": "right_middle",
        "color": [ 1, 1, 1 ],
        "text": "文本描述文本描述文本描述文本描述文本描述文本描述文本描述文本描述文本描述文本描述文本描述文本描述文本描述文本描述文本描述文本描述文本描述文本描述文本描述文本描述文本描述文本描述"
    },
    "itemToggleGrid": {
        "anchor_from": "top_middle",
        "anchor_to": "top_middle",
        "bindings": [
            {
                "binding_condition": "always",
                "binding_name": "#itemToggleGrid.item_count",
                "binding_name_override": "#StackGridItemsCount"
            }
        ],
        "collection_name": "itemToggles",
        "controls": [
            {
                "itemToggleBtn@guideBookUI.itemToggleBtn" : {}
            }
        ],
        "item_count": 10,
        "layer": 0,
        "orientation": "vertical",
        "property_bag": {
            "#itemToggleGrid.item_count": 10
        },
        "size": [ "100%", "default" ],
        "type": "stack_grid",
        "visible": true
    },
    "monsterToggleBtn@common.toggle": {
        "$unchecked_control": "guideBookUI.itemUncheckedState",
        "$checked_control": "guideBookUI.itemCheckedState",
        "$unchecked_hover_control": "guideBookUI.itemUncheckedState",
        "$checked_hover_control": "guideBookUI.itemCheckedState",
        "$unchecked_locked_control": "guideBookUI.itemUncheckedState",
        "$unchecked_locked_hover_control": "guideBookUI.itemUncheckedState",
        "$checked_locked_control": "guideBookUI.itemUncheckedState",
        "$checked_locked_hover_control": "guideBookUI.itemUncheckedState",
        "$toggle_grid_collection_name": "monsterToggles",
        "$item_collection_name": "monsterToggles",
        "anchor_from": "top_left",
        "anchor_to": "top_left",
        "size": [ "100%", 16 ],
        "$radio_toggle_group": true,
        "$toggle_name": "#monsterToggleGroup",
        "$toggle_group_default_selected": 0
    },
    "itemToggleBtn@common.toggle": {
        "$unchecked_control": "guideBookUI.itemUncheckedState",
        "$checked_control": "guideBookUI.itemCheckedState",
        "$unchecked_hover_control": "guideBookUI.itemUncheckedState",
        "$checked_hover_control": "guideBookUI.itemCheckedState",
        "$unchecked_locked_control": "guideBookUI.itemUncheckedState",
        "$unchecked_locked_hover_control": "guideBookUI.itemUncheckedState",
        "$checked_locked_control": "guideBookUI.itemUncheckedState",
        "$checked_locked_hover_control": "guideBookUI.itemUncheckedState",
        "$toggle_grid_collection_name": "itemToggles",
        "$item_collection_name": "itemToggles",
        "anchor_from": "top_left",
        "anchor_to": "top_left",
        "size": [ "100%", 16 ],
        "$radio_toggle_group": true,
        "$toggle_name": "#itemToggleGroup",
        "$toggle_group_default_selected": 0
    },
    "itemCheckedState": {
        "type": "image",
        "texture": "textures/ui/white_bg",
        "color": [ 0.7764, 0.7764, 0.7764 ],
        "nineslice_size": 1,
        "controls": [
            {
                "itemLabel@guideBookUI.itemLabel": {}
            }
        ],
        "layer": 2
    },
    "itemUncheckedState": {
        "type": "image",
        "texture": "textures/ui/white_bg",
        "color": [ 0.3647, 0.3647, 0.3647 ],
        "$label_color": [ 0.776, 0.776, 0.776],
        "nineslice_size": 1,
        "controls": [
            {
                "itemLabel@guideBookUI.itemLabel": {}
            }
        ],
        "layer": 2
    },
    "itemLabel": {
        "bindings": [
            {
                "binding_collection_name" : "$item_collection_name",
                "binding_name" : "#label_name.text",
                "binding_type" : "collection"
            }
        ],
        "$label_color|default": [ 1, 1, 1 ],
        "color": "$label_color",
        "property_bag": {
            "#label_name.text" : "ha ha"
        },
        "layer": 3,
        "text" : "#label_name.text",
        "type" : "label"
    },
    "toggle_checked_state": {
        "$pressed_texture|default": "",
        "$pressed_font_color|default": [ 1, 1, 1 ],
        "type": "image",
        "texture": "$pressed_texture",
        "nineslice_size": 4,
        "controls": [
            {
                "toggleText": {
                    "type": "label",
                    "$buttonLabel|default": "测试",
                    "color": "$pressed_font_color",
                    "text": "$buttonLabel",
                    "layer": 3
                }
            }
        ],
        "layer": 10
    },
    "toggle_unchecked_state": {
        "$default_texture|default": "",
        "$default_font_color|default": [ 0, 0, 0 ],
        "type": "image",
        "texture": "$default_texture",
        "nineslice_size": 4,
        "controls": [
            {
                "toggleText": {
                    "type": "label",
                    "$buttonLabel|default": "测试",
                    "color": "$default_font_color",
                    "text": "$buttonLabel",
                    "layer": 3
                }
            }
        ],
        "layer": 1
    },
    "toggle_locked_state": {
        "$locked_texture|default": "",
        "$locked_font_color|default": [ 0, 0, 0 ],
        "type": "image",
        "texture": "$locked_texture",
        "nineslice_size": 4,
        "controls": [
            {
                "toggleText": {
                    "type": "label",
                    "offset": [ 0, 0 ],
                    "$buttonLabel|default": "测试",
                    "color": "$locked_font_color",
                    "text": "$buttonLabel",
                    "layer": 3
                }
            }
        ],
        "layer": 2
    },
    "closeBtn@common.button": {
        "$default_texture": "textures/ui/btn_default",
        "$hover_texture": "textures/ui/btn_hover",
        "$pressed_texture": "textures/ui/btn_pressed",
        "$pressed_button_name": "",
        "$nineslice_size": 2,
        "$texture_layer": 2,
        "anchor_from": "top_right",
        "anchor_to": "top_right",
        "controls": [
            {
                "default@guideBookUI.default": {}
            },
            {
                "hover@guideBookUI.hover": {}
            },
            {
                "pressed@guideBookUI.pressed": {}
            },
            {
                "label": {
                    "type": "label",
                    "layer": 5,
                    "text": "x",
                    "font_size": "large"
                }
            }
        ],
        "layer": 20,
        "size": [
            28,
            28
        ],
        "type": "button",
        "visible": true
    },
    "default": {
        "layer": "$texture_layer",
        "texture": "$default_texture",
        "type": "image",
        "$nineslice_size|default": 0,
        "nineslice_size": "$nineslice_size"
    },
    "pressed": {
        "layer": "$texture_layer",
        "texture": "$pressed_texture",
        "type": "image",
        "$nineslice_size|default": 0,
        "nineslice_size": "$nineslice_size"
    },
    "locked": {
        "layer": "$texture_layer",
        "texture": "$locked_texture",
        "type": "image",
        "$nineslice_size|default": 0,
        "nineslice_size": "$nineslice_size"
    },
    "hover": {
        "layer": "$texture_layer",
        "texture": "$hover_texture",
        "type": "image",
        "$nineslice_size|default": 0,
        "nineslice_size": "$nineslice_size"
    },
    "scroll_box_image": {
        "nineslice_size": 2,
        "texture": "textures/ui/white_bg",
        "color": [ 0.776, 0.776, 0.776 ],
        "type": "image"
    },
    "scroll_track_image": {
        "layer": 3,
        "nineslice_size": 2,
        "size": [
            3,
            "100%"
        ],
        "texture": "",
        "type": "image"
    }
}